import path from 'path';
import { defineConfig } from 'vite';

export default defineConfig({
  root: path.resolve(__dirname, 'src/app-public'),
  base: '/ksef/',

  build: {
    outDir: path.resolve(__dirname, 'dist-app'),
    emptyOutDir: true,
    minify: 'esbuild',
    sourcemap: false,
  },

  server: {
    port: 5173,
    open: true,
  },
});
